Authorization: Bearer ********************x-api-key: ********************curl --location '/v2/scans?page=undefined&per_page=undefined&q=undefined&date_range_start=undefined&date_range_end=undefined&relative_date_range=undefined&sort_by=undefined&limited=undefined&extended=undefined&scheduled=undefined&status=undefined' \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'{
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"type": {
"type": "string"
},
"attributes": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string",
"description": "Name of the scan"
},
"comment": {
"type": "string",
"description": "Comment about the scan"
},
"creation_time": {
"type": "string",
"format": "date-time"
},
"modification_time": {
"type": "string",
"format": "date-time"
},
"status": {
"type": "string",
"description": "Status of the scan"
},
"schedule_next_time": {
"type": "string",
"description": "Next time the scan will run",
"nullable": true
},
"target": {
"type": "object",
"description": "Target of the scan",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
}
}
}
}
}
}
}
},
"meta": {
"$ref": "spec/requests/v2/schemas/json/metadata.json"
}
}
}
}
}
}